Bug 115616 - Using TERM=gnome-rh90 does not respond to several readline cmds
Summary: Using TERM=gnome-rh90 does not respond to several readline cmds
Status: CLOSED DUPLICATE of bug 115448
Alias: None
Product: Fedora
Classification: Fedora
Component: ncurses   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 21:36 UTC by James Laska
Modified: 2013-09-02 05:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:01:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Laska 2004-02-13 21:36:18 UTC
Using ncurses-5.4-1

The newer ncurses seemed to change the behavior of my terminal.  It
was suggested to change my TERM from xterm to gnome-rh90. This brought
back syntax highlighting however it appears that the terminal
(gnome-terminal, xterm) does not respond to readline cmds like:

[ in bash ]
Clear screen ( <ctrl> l )  DOES NOT WORK
BOL          ( <ctrl> a )  WORKS
EOL          ( <ctrl> e )  WORKS
DELWORD      ( <ctrl> w )  WORKS
DEL          ( <ctrl> U )  WORKS
PASTE        ( <ctrl> y )  WORKS
...so only clear screen doesn't work (as far as the readline cmds I'm
familiar with)

[ in vim ]
press the [Home] key    - DOES NOT WORK ANYMORE
press the [End] key     - DOES NOT WORK ANYMORE

Comment 1 Bill Nottingham 2004-02-16 07:09:59 UTC

*** This bug has been marked as a duplicate of 115448 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:01:14 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.